from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String, Int

Paftools_Js_V0_1_0 = CommandToolBuilder(tool="paftools.js", base_command=["paftools.js"], inputs=[ToolInput(tag="in_use_strict", input_type=Boolean(optional=True), prefix="--use_strict", doc=InputDocumentation(doc="(enforce strict mode)\ntype: bool  default: false")), ToolInput(tag="in_es_five_readonly", input_type=Boolean(optional=True), prefix="--es5_readonly", doc=InputDocumentation(doc="(activate correct semantics for inheriting readonliness)\ntype: bool  default: true")), ToolInput(tag="in_es_five_two_globals", input_type=Boolean(optional=True), prefix="--es52_globals", doc=InputDocumentation(doc="(activate new semantics for global var declarations)\ntype: bool  default: true")), ToolInput(tag="in_harmony_type_of", input_type=Boolean(optional=True), prefix="--harmony_typeof", doc=InputDocumentation(doc="(enable harmony semantics for typeof)\ntype: bool  default: false")), ToolInput(tag="in_harmony_scoping", input_type=Boolean(optional=True), prefix="--harmony_scoping", doc=InputDocumentation(doc="(enable harmony block scoping)\ntype: bool  default: false")), ToolInput(tag="in_harmony_modules", input_type=Boolean(optional=True), prefix="--harmony_modules", doc=InputDocumentation(doc="(enable harmony modules (implies block scoping))\ntype: bool  default: false")), ToolInput(tag="in_harmony_proxies", input_type=Boolean(optional=True), prefix="--harmony_proxies", doc=InputDocumentation(doc="(enable harmony proxies)\ntype: bool  default: false")), ToolInput(tag="in_harmony_collections", input_type=Boolean(optional=True), prefix="--harmony_collections", doc=InputDocumentation(doc="(enable harmony collections (sets, maps, and weak maps))\ntype: bool  default: false")), ToolInput(tag="in_harmony_observation", input_type=Boolean(optional=True), prefix="--harmony_observation", doc=InputDocumentation(doc="(enable harmony object observation (implies harmony collections)\ntype: bool  default: false")), ToolInput(tag="in_harmony", input_type=Boolean(optional=True), prefix="--harmony", doc=InputDocumentation(doc="(enable all harmony features (except typeof))\ntype: bool  default: false")), ToolInput(tag="in_packed_arrays", input_type=Boolean(optional=True), prefix="--packed_arrays", doc=InputDocumentation(doc="(optimizes arrays that have no holes)\ntype: bool  default: true")), ToolInput(tag="in_smi_only_arrays", input_type=Boolean(optional=True), prefix="--smi_only_arrays", doc=InputDocumentation(doc="(tracks arrays with only smi values)\ntype: bool  default: true")), ToolInput(tag="in_clever_optimizations", input_type=Boolean(optional=True), prefix="--clever_optimizations", doc=InputDocumentation(doc="(Optimize object size, Array shift, DOM strings and string +)\ntype: bool  default: true")), ToolInput(tag="in_unbox_double_arrays", input_type=Boolean(optional=True), prefix="--unbox_double_arrays", doc=InputDocumentation(doc="(automatically unbox arrays of doubles)\ntype: bool  default: true")), ToolInput(tag="in_string_slices", input_type=Boolean(optional=True), prefix="--string_slices", doc=InputDocumentation(doc="(use string slices)\ntype: bool  default: true")), ToolInput(tag="in_crankshaft", input_type=Boolean(optional=True), prefix="--crankshaft", doc=InputDocumentation(doc="(use crankshaft)\ntype: bool  default: true")), ToolInput(tag="in_hydrogen_filter", input_type=Boolean(optional=True), prefix="--hydrogen_filter", doc=InputDocumentation(doc="(optimization filter)\ntype: string  default:")), ToolInput(tag="in_use_range", input_type=Boolean(optional=True), prefix="--use_range", doc=InputDocumentation(doc="(use hydrogen range analysis)\ntype: bool  default: true")), ToolInput(tag="in_eliminate_dead_p_his", input_type=Boolean(optional=True), prefix="--eliminate_dead_phis", doc=InputDocumentation(doc="(eliminate dead phis)\ntype: bool  default: true")), ToolInput(tag="in_use_gvn", input_type=Boolean(optional=True), prefix="--use_gvn", doc=InputDocumentation(doc="(use hydrogen global value numbering)\ntype: bool  default: true")), ToolInput(tag="in_use_canonical_izing", input_type=Boolean(optional=True), prefix="--use_canonicalizing", doc=InputDocumentation(doc="(use hydrogen instruction canonicalizing)\ntype: bool  default: true")), ToolInput(tag="in_use_inlining", input_type=Boolean(optional=True), prefix="--use_inlining", doc=InputDocumentation(doc="(use function inlining)\ntype: bool  default: true")), ToolInput(tag="in_max_inlined_source_size", input_type=Boolean(optional=True), prefix="--max_inlined_source_size", doc=InputDocumentation(doc="(maximum source size in bytes considered for a single inlining)\ntype: int  default: 600")), ToolInput(tag="in_max_inlined_nodes", input_type=Boolean(optional=True), prefix="--max_inlined_nodes", doc=InputDocumentation(doc="(maximum number of AST nodes considered for a single inlining)\ntype: int  default: 196")), ToolInput(tag="in_max_inlined_nodes_cumulative", input_type=Boolean(optional=True), prefix="--max_inlined_nodes_cumulative", doc=InputDocumentation(doc="(maximum cumulative number of AST nodes considered for inlining)\ntype: int  default: 196")), ToolInput(tag="in_loop_invariant_code_motion", input_type=Boolean(optional=True), prefix="--loop_invariant_code_motion", doc=InputDocumentation(doc="(loop invariant code motion)\ntype: bool  default: true")), ToolInput(tag="in_fast_math", input_type=Boolean(optional=True), prefix="--fast_math", doc=InputDocumentation(doc="(faster (but maybe less accurate) math functions)\ntype: bool  default: true")), ToolInput(tag="in_collect_mega_morphic_maps_from_stub_cache", input_type=Boolean(optional=True), prefix="--collect_megamorphic_maps_from_stub_cache", doc=InputDocumentation(doc="(crankshaft harvests type feedback from stub cache)\ntype: bool  default: true")), ToolInput(tag="in_hydrogen_stats", input_type=Boolean(optional=True), prefix="--hydrogen_stats", doc=InputDocumentation(doc="(print statistics for hydrogen)\ntype: bool  default: false")), ToolInput(tag="in_trace_hydrogen", input_type=Boolean(optional=True), prefix="--trace_hydrogen", doc=InputDocumentation(doc="(trace generated hydrogen to file)\ntype: bool  default: false")), ToolInput(tag="in_trace_phase", input_type=Boolean(optional=True), prefix="--trace_phase", doc=InputDocumentation(doc="(trace generated IR for specified phases)\ntype: string  default: Z")), ToolInput(tag="in_trace_inlining", input_type=Boolean(optional=True), prefix="--trace_inlining", doc=InputDocumentation(doc="(trace inlining decisions)\ntype: bool  default: false")), ToolInput(tag="in_trace_alloc", input_type=Boolean(optional=True), prefix="--trace_alloc", doc=InputDocumentation(doc="(trace register allocator)\ntype: bool  default: false")), ToolInput(tag="in_trace_all_uses", input_type=Boolean(optional=True), prefix="--trace_all_uses", doc=InputDocumentation(doc="(trace all use positions)\ntype: bool  default: false")), ToolInput(tag="in_trace_range", input_type=Boolean(optional=True), prefix="--trace_range", doc=InputDocumentation(doc="(trace range analysis)\ntype: bool  default: false")), ToolInput(tag="in_trace_gvn", input_type=Boolean(optional=True), prefix="--trace_gvn", doc=InputDocumentation(doc="(trace global value numbering)\ntype: bool  default: false")), ToolInput(tag="in_trace_representation", input_type=Boolean(optional=True), prefix="--trace_representation", doc=InputDocumentation(doc="(trace representation types)\ntype: bool  default: false")), ToolInput(tag="in_stress_pointer_maps", input_type=Boolean(optional=True), prefix="--stress_pointer_maps", doc=InputDocumentation(doc="(pointer map for every instruction)\ntype: bool  default: false")), ToolInput(tag="in_stress_environments", input_type=Boolean(optional=True), prefix="--stress_environments", doc=InputDocumentation(doc="(environment for every instruction)\ntype: bool  default: false")), ToolInput(tag="in_deopt_every_n_times", input_type=Boolean(optional=True), prefix="--deopt_every_n_times", doc=InputDocumentation(doc="(deoptimize every n times a deopt point is passed)\ntype: int  default: 0")), ToolInput(tag="in_trap_on_deopt", input_type=Boolean(optional=True), prefix="--trap_on_deopt", doc=InputDocumentation(doc="(put a break point before deoptimizing)\ntype: bool  default: false")), ToolInput(tag="in_de_optimize_uncommon_cases", input_type=Boolean(optional=True), prefix="--deoptimize_uncommon_cases", doc=InputDocumentation(doc="(deoptimize uncommon cases)\ntype: bool  default: true")), ToolInput(tag="in_polymorphic_inlining", input_type=Boolean(optional=True), prefix="--polymorphic_inlining", doc=InputDocumentation(doc="(polymorphic inlining)\ntype: bool  default: true")), ToolInput(tag="in_use_osr", input_type=Boolean(optional=True), prefix="--use_osr", doc=InputDocumentation(doc="(use on-stack replacement)\ntype: bool  default: true")), ToolInput(tag="in_array_bounds_checks_elimination", input_type=Boolean(optional=True), prefix="--array_bounds_checks_elimination", doc=InputDocumentation(doc="(perform array bounds checks elimination)\ntype: bool  default: true")), ToolInput(tag="in_array_index_de_hoisting", input_type=Boolean(optional=True), prefix="--array_index_dehoisting", doc=InputDocumentation(doc="(perform array index dehoisting)\ntype: bool  default: true")), ToolInput(tag="in_dead_code_elimination", input_type=Boolean(optional=True), prefix="--dead_code_elimination", doc=InputDocumentation(doc="(use dead code elimination)\ntype: bool  default: true")), ToolInput(tag="in_trace_dead_code_elimination", input_type=Boolean(optional=True), prefix="--trace_dead_code_elimination", doc=InputDocumentation(doc="(trace dead code elimination)\ntype: bool  default: false")), ToolInput(tag="in_track_allocation_sites", input_type=Boolean(optional=True), prefix="--track_allocation_sites", doc=InputDocumentation(doc="(Use allocation site info to reduce transitions)\ntype: bool  default: true")), ToolInput(tag="in_trace_osr", input_type=Boolean(optional=True), prefix="--trace_osr", doc=InputDocumentation(doc="(trace on-stack replacement)\ntype: bool  default: false")), ToolInput(tag="in_stress_runs", input_type=Boolean(optional=True), prefix="--stress_runs", doc=InputDocumentation(doc="(number of stress runs)\ntype: int  default: 0")), ToolInput(tag="in_optimize_closures", input_type=Boolean(optional=True), prefix="--optimize_closures", doc=InputDocumentation(doc="(optimize closures)\ntype: bool  default: true")), ToolInput(tag="in_lookup_sample_by_shared", input_type=Boolean(optional=True), prefix="--lookup_sample_by_shared", doc=InputDocumentation(doc="(when picking a function to optimize, watch for shared function info, not JSFunction itself)\ntype: bool  default: true")), ToolInput(tag="in_cache_optimized_code", input_type=Boolean(optional=True), prefix="--cache_optimized_code", doc=InputDocumentation(doc="(cache optimized code for closures)\ntype: bool  default: true")), ToolInput(tag="in_inline_construct", input_type=Boolean(optional=True), prefix="--inline_construct", doc=InputDocumentation(doc="(inline constructor calls)\ntype: bool  default: true")), ToolInput(tag="in_inline_arguments", input_type=Boolean(optional=True), prefix="--inline_arguments", doc=InputDocumentation(doc="(inline functions with arguments object)\ntype: bool  default: true")), ToolInput(tag="in_inline_accessors", input_type=Boolean(optional=True), prefix="--inline_accessors", doc=InputDocumentation(doc="(inline JavaScript accessors)\ntype: bool  default: true")), ToolInput(tag="in_loop_weight", input_type=Boolean(optional=True), prefix="--loop_weight", doc=InputDocumentation(doc="(loop weight for representation inference)\ntype: int  default: 1")), ToolInput(tag="in_optimize_for_in", input_type=Boolean(optional=True), prefix="--optimize_for_in", doc=InputDocumentation(doc="(optimize functions containing for-in loops)\ntype: bool  default: true")), ToolInput(tag="in_opt_safe_uint_three_two_operations", input_type=Boolean(optional=True), prefix="--opt_safe_uint32_operations", doc=InputDocumentation(doc="(allow uint32 values on optimize frames if they are used only in safe operations)\ntype: bool  default: true")), ToolInput(tag="in_parallel_recompilation", input_type=Boolean(optional=True), prefix="--parallel_recompilation", doc=InputDocumentation(doc="(optimizing hot functions asynchronously on a separate thread)\ntype: bool  default: false")), ToolInput(tag="in_trace_parallel_recompilation", input_type=Boolean(optional=True), prefix="--trace_parallel_recompilation", doc=InputDocumentation(doc="(track parallel recompilation)\ntype: bool  default: false")), ToolInput(tag="in_parallel_recompilation_queue_length", input_type=Boolean(optional=True), prefix="--parallel_recompilation_queue_length", doc=InputDocumentation(doc="(the length of the parallel compilation queue)\ntype: int  default: 2")), ToolInput(tag="in_manual_parallel_recompilation", input_type=Boolean(optional=True), prefix="--manual_parallel_recompilation", doc=InputDocumentation(doc="(disable automatic optimization)\ntype: bool  default: false")), ToolInput(tag="in_experimental_profiler", input_type=Boolean(optional=True), prefix="--experimental_profiler", doc=InputDocumentation(doc="(enable all profiler experiments)\ntype: bool  default: true")), ToolInput(tag="in_watch_ic_patching", input_type=Boolean(optional=True), prefix="--watch_ic_patching", doc=InputDocumentation(doc="(profiler considers IC stability)\ntype: bool  default: false")), ToolInput(tag="in_frame_count", input_type=Boolean(optional=True), prefix="--frame_count", doc=InputDocumentation(doc="(number of stack frames inspected by the profiler)\ntype: int  default: 1")), ToolInput(tag="in_self_optimization", input_type=Boolean(optional=True), prefix="--self_optimization", doc=InputDocumentation(doc="(primitive functions trigger their own optimization)\ntype: bool  default: false")), ToolInput(tag="in_direct_self_opt", input_type=Boolean(optional=True), prefix="--direct_self_opt", doc=InputDocumentation(doc="(call recompile stub directly when self-optimizing)\ntype: bool  default: false")), ToolInput(tag="in_retry_self_opt", input_type=Boolean(optional=True), prefix="--retry_self_opt", doc=InputDocumentation(doc="(re-try self-optimization if it failed)\ntype: bool  default: false")), ToolInput(tag="in_interrupt_at_exit", input_type=Boolean(optional=True), prefix="--interrupt_at_exit", doc=InputDocumentation(doc="(insert an interrupt check at function exit)\ntype: bool  default: false")), ToolInput(tag="in_weighted_back_edges", input_type=Boolean(optional=True), prefix="--weighted_back_edges", doc=InputDocumentation(doc="(weight back edges by jump distance for interrupt triggering)\ntype: bool  default: false")), ToolInput(tag="in_interrupt_budget", input_type=Boolean(optional=True), prefix="--interrupt_budget", doc=InputDocumentation(doc="(execution budget before interrupt is triggered)\ntype: int  default: 5888")), ToolInput(tag="in_type_info_threshold", input_type=Boolean(optional=True), prefix="--type_info_threshold", doc=InputDocumentation(doc="(percentage of ICs that must have type info to allow optimization)\ntype: int  default: 15")), ToolInput(tag="in_self_opt_count", input_type=Boolean(optional=True), prefix="--self_opt_count", doc=InputDocumentation(doc="(call count before self-optimization)\ntype: int  default: 130")), ToolInput(tag="in_trace_opt_verbose", input_type=Boolean(optional=True), prefix="--trace_opt_verbose", doc=InputDocumentation(doc="(extra verbose compilation tracing)\ntype: bool  default: false")), ToolInput(tag="in_debug_code", input_type=Boolean(optional=True), prefix="--debug_code", doc=InputDocumentation(doc="(generate extra code (assertions) for debugging)\ntype: bool  default: false")), ToolInput(tag="in_code_comments", input_type=Boolean(optional=True), prefix="--code_comments", doc=InputDocumentation(doc="(emit comments in code disassembly)\ntype: bool  default: false")), ToolInput(tag="in_enable_sse_two", input_type=Boolean(optional=True), prefix="--enable_sse2", doc=InputDocumentation(doc="(enable use of SSE2 instructions if available)\ntype: bool  default: true")), ToolInput(tag="in_enable_sse_three", input_type=Boolean(optional=True), prefix="--enable_sse3", doc=InputDocumentation(doc="(enable use of SSE3 instructions if available)\ntype: bool  default: true")), ToolInput(tag="in_enable_sse_four_one", input_type=Boolean(optional=True), prefix="--enable_sse4_1", doc=InputDocumentation(doc="(enable use of SSE4.1 instructions if available)\ntype: bool  default: true")), ToolInput(tag="in_enable_cmov", input_type=Boolean(optional=True), prefix="--enable_cmov", doc=InputDocumentation(doc="(enable use of CMOV instruction if available)\ntype: bool  default: true")), ToolInput(tag="in_enable_r_dtsc", input_type=Boolean(optional=True), prefix="--enable_rdtsc", doc=InputDocumentation(doc="(enable use of RDTSC instruction if available)\ntype: bool  default: true")), ToolInput(tag="in_enable_sa_hf", input_type=Boolean(optional=True), prefix="--enable_sahf", doc=InputDocumentation(doc="(enable use of SAHF instruction if available (X64 only))\ntype: bool  default: true")), ToolInput(tag="in_enable_vfp_three", input_type=Boolean(optional=True), prefix="--enable_vfp3", doc=InputDocumentation(doc="(enable use of VFP3 instructions if available - this implies enabling ARMv7 and VFP2 instructions (ARM only))\ntype: bool  default: true")), ToolInput(tag="in_enable_vfp_two", input_type=Boolean(optional=True), prefix="--enable_vfp2", doc=InputDocumentation(doc="(enable use of VFP2 instructions if available)\ntype: bool  default: true")), ToolInput(tag="in_enable_arm_vs_even", input_type=Boolean(optional=True), prefix="--enable_armv7", doc=InputDocumentation(doc="(enable use of ARMv7 instructions if available (ARM only))\ntype: bool  default: true")), ToolInput(tag="in_enable_su_div", input_type=Boolean(optional=True), prefix="--enable_sudiv", doc=InputDocumentation(doc="(enable use of SDIV and UDIV instructions if available (ARM only))\ntype: bool  default: true")), ToolInput(tag="in_enable_movw_movt", input_type=Boolean(optional=True), prefix="--enable_movw_movt", doc=InputDocumentation(doc="(enable loading 32-bit constant by means of movw/movt instruction pairs (ARM only))\ntype: bool  default: false")), ToolInput(tag="in_enable_unaligned_accesses", input_type=Boolean(optional=True), prefix="--enable_unaligned_accesses", doc=InputDocumentation(doc="(enable unaligned accesses for ARMv7 (ARM only))\ntype: bool  default: true")), ToolInput(tag="in_enable_fpu", input_type=Boolean(optional=True), prefix="--enable_fpu", doc=InputDocumentation(doc="(enable use of MIPS FPU instructions if available (MIPS only))\ntype: bool  default: true")), ToolInput(tag="in_enable_vl_dr_imm", input_type=Boolean(optional=True), prefix="--enable_vldr_imm", doc=InputDocumentation(doc="(enable use of constant pools for double immediate (ARM only))\ntype: bool  default: false")), ToolInput(tag="in_expose_natives_as", input_type=Boolean(optional=True), prefix="--expose_natives_as", doc=InputDocumentation(doc="(expose natives in global object)\ntype: string  default: NULL")), ToolInput(tag="in_expose_debug_as", input_type=Boolean(optional=True), prefix="--expose_debug_as", doc=InputDocumentation(doc="(expose debug in global object)\ntype: string  default: NULL")), ToolInput(tag="in_expose_gc", input_type=Boolean(optional=True), prefix="--expose_gc", doc=InputDocumentation(doc="(expose gc extension)\ntype: bool  default: false")), ToolInput(tag="in_expose_externalize_string", input_type=Boolean(optional=True), prefix="--expose_externalize_string", doc=InputDocumentation(doc="(expose externalize string extension)\ntype: bool  default: false")), ToolInput(tag="in_stack_trace_limit", input_type=Boolean(optional=True), prefix="--stack_trace_limit", doc=InputDocumentation(doc="(number of stack frames to capture)\ntype: int  default: 10")), ToolInput(tag="in_builtins_in_stack_traces", input_type=Boolean(optional=True), prefix="--builtins_in_stack_traces", doc=InputDocumentation(doc="(show built-in functions in stack traces)\ntype: bool  default: false")), ToolInput(tag="in_disable_native_files", input_type=Boolean(optional=True), prefix="--disable_native_files", doc=InputDocumentation(doc="(disable builtin natives files)\ntype: bool  default: false")), ToolInput(tag="in_inline_new", input_type=Boolean(optional=True), prefix="--inline_new", doc=InputDocumentation(doc="(use fast inline allocation)\ntype: bool  default: true")), ToolInput(tag="in_stack_trace_on_abort", input_type=Boolean(optional=True), prefix="--stack_trace_on_abort", doc=InputDocumentation(doc="(print a stack trace if an assertion failure occurs)\ntype: bool  default: true")), ToolInput(tag="in_trace", input_type=Boolean(optional=True), prefix="--trace", doc=InputDocumentation(doc="(trace function calls)\ntype: bool  default: false")), ToolInput(tag="in_mask_constants_with_cookie", input_type=Boolean(optional=True), prefix="--mask_constants_with_cookie", doc=InputDocumentation(doc="(use random jit cookie to mask large constants)\ntype: bool  default: true")), ToolInput(tag="in_lazy", input_type=Boolean(optional=True), prefix="--lazy", doc=InputDocumentation(doc="(use lazy compilation)\ntype: bool  default: true")), ToolInput(tag="in_trace_opt", input_type=Boolean(optional=True), prefix="--trace_opt", doc=InputDocumentation(doc="(trace lazy optimization)\ntype: bool  default: false")), ToolInput(tag="in_trace_opt_stats", input_type=Boolean(optional=True), prefix="--trace_opt_stats", doc=InputDocumentation(doc="(trace lazy optimization statistics)\ntype: bool  default: false")), ToolInput(tag="in_opt", input_type=Boolean(optional=True), prefix="--opt", doc=InputDocumentation(doc="(use adaptive optimizations)\ntype: bool  default: true")), ToolInput(tag="in_always_opt", input_type=Boolean(optional=True), prefix="--always_opt", doc=InputDocumentation(doc="(always try to optimize functions)\ntype: bool  default: false")), ToolInput(tag="in_prepare_always_opt", input_type=Boolean(optional=True), prefix="--prepare_always_opt", doc=InputDocumentation(doc="(prepare for turning on always opt)\ntype: bool  default: false")), ToolInput(tag="in_trace_deopt", input_type=Boolean(optional=True), prefix="--trace_deopt", doc=InputDocumentation(doc="(trace deoptimization)\ntype: bool  default: false")), ToolInput(tag="in_min_pre_parse_length", input_type=Boolean(optional=True), prefix="--min_preparse_length", doc=InputDocumentation(doc="(minimum length for automatic enable preparsing)\ntype: int  default: 1024")), ToolInput(tag="in_always_full_compiler", input_type=Boolean(optional=True), prefix="--always_full_compiler", doc=InputDocumentation(doc="(try to use the dedicated run-once backend for all code)\ntype: bool  default: false")), ToolInput(tag="in_max_opt_count", input_type=Boolean(optional=True), prefix="--max_opt_count", doc=InputDocumentation(doc="(maximum number of optimization attempts before giving up.)\ntype: int  default: 10")), ToolInput(tag="in_compilation_cache", input_type=Boolean(optional=True), prefix="--compilation_cache", doc=InputDocumentation(doc="(enable compilation cache)\ntype: bool  default: true")), ToolInput(tag="in_cache_prototype_transitions", input_type=Boolean(optional=True), prefix="--cache_prototype_transitions", doc=InputDocumentation(doc="(cache prototype transitions)\ntype: bool  default: true")), ToolInput(tag="in_trace_debug_json", input_type=Boolean(optional=True), prefix="--trace_debug_json", doc=InputDocumentation(doc="(trace debugging JSON request/response)\ntype: bool  default: false")), ToolInput(tag="in_debugger_auto_break", input_type=Boolean(optional=True), prefix="--debugger_auto_break", doc=InputDocumentation(doc="(automatically set the debug break flag when debugger commands are in the queue)\ntype: bool  default: true")), ToolInput(tag="in_enable_live_edit", input_type=Boolean(optional=True), prefix="--enable_liveedit", doc=InputDocumentation(doc="(enable liveedit experimental feature)\ntype: bool  default: true")), ToolInput(tag="in_break_on_abort", input_type=Boolean(optional=True), prefix="--break_on_abort", doc=InputDocumentation(doc="(always cause a debug break before aborting)\ntype: bool  default: true")), ToolInput(tag="in_stack_size", input_type=Boolean(optional=True), prefix="--stack_size", doc=InputDocumentation(doc="(default size of stack region v8 is allowed to use (in kBytes))\ntype: int  default: 984")), ToolInput(tag="in_max_stack_trace_source_length", input_type=Boolean(optional=True), prefix="--max_stack_trace_source_length", doc=InputDocumentation(doc="(maximum length of function source code printed in a stack trace.)\ntype: int  default: 300")), ToolInput(tag="in_always_inline_smi_code", input_type=Boolean(optional=True), prefix="--always_inline_smi_code", doc=InputDocumentation(doc="(always inline smi code in non-opt code)\ntype: bool  default: false")), ToolInput(tag="in_max_new_space_size", input_type=Boolean(optional=True), prefix="--max_new_space_size", doc=InputDocumentation(doc="(max size of the new generation (in kBytes))\ntype: int  default: 0")), ToolInput(tag="in_max_old_space_size", input_type=Boolean(optional=True), prefix="--max_old_space_size", doc=InputDocumentation(doc="(max size of the old generation (in Mbytes))\ntype: int  default: 0")), ToolInput(tag="in_max_executable_size", input_type=Boolean(optional=True), prefix="--max_executable_size", doc=InputDocumentation(doc="(max size of executable memory (in Mbytes))\ntype: int  default: 0")), ToolInput(tag="in_gc_global", input_type=Boolean(optional=True), prefix="--gc_global", doc=InputDocumentation(doc="(always perform global GCs)\ntype: bool  default: false")), ToolInput(tag="in_gc_interval", input_type=Boolean(optional=True), prefix="--gc_interval", doc=InputDocumentation(doc="(garbage collect after <n> allocations)\ntype: int  default: -1")), ToolInput(tag="in_trace_gc", input_type=Boolean(optional=True), prefix="--trace_gc", doc=InputDocumentation(doc="(print one trace line following each garbage collection)\ntype: bool  default: false")), ToolInput(tag="in_trace_gc_nvp", input_type=Boolean(optional=True), prefix="--trace_gc_nvp", doc=InputDocumentation(doc="(print one detailed trace line in name=value format after each garbage collection)\ntype: bool  default: false")), ToolInput(tag="in_trace_gc_ignore_scavenger", input_type=Boolean(optional=True), prefix="--trace_gc_ignore_scavenger", doc=InputDocumentation(doc="(do not print trace line after scavenger collection)\ntype: bool  default: false")), ToolInput(tag="in_print_cumulative_gc_stat", input_type=Boolean(optional=True), prefix="--print_cumulative_gc_stat", doc=InputDocumentation(doc="(print cumulative GC statistics in name=value format on exit)\ntype: bool  default: false")), ToolInput(tag="in_trace_gc_verbose", input_type=Boolean(optional=True), prefix="--trace_gc_verbose", doc=InputDocumentation(doc="(print more details following each garbage collection)\ntype: bool  default: false")), ToolInput(tag="in_trace_fragmentation", input_type=Boolean(optional=True), prefix="--trace_fragmentation", doc=InputDocumentation(doc="(report fragmentation for old pointer and data pages)\ntype: bool  default: false")), ToolInput(tag="in_trace_external_memory", input_type=Boolean(optional=True), prefix="--trace_external_memory", doc=InputDocumentation(doc="(print amount of external allocated memory after each time it is adjusted.)\ntype: bool  default: false")), ToolInput(tag="in_collect_maps", input_type=Boolean(optional=True), prefix="--collect_maps", doc=InputDocumentation(doc="(garbage collect maps from which no objects can be reached)\ntype: bool  default: true")), ToolInput(tag="in_flush_code", input_type=Boolean(optional=True), prefix="--flush_code", doc=InputDocumentation(doc="(flush code that we expect not to use again (during full gc))\ntype: bool  default: true")), ToolInput(tag="in_flush_code_incrementally", input_type=Boolean(optional=True), prefix="--flush_code_incrementally", doc=InputDocumentation(doc="(flush code that we expect not to use again (incrementally))\ntype: bool  default: true")), ToolInput(tag="in_age_code", input_type=Boolean(optional=True), prefix="--age_code", doc=InputDocumentation(doc="(track un-executed functions to age code and flush only old code)\ntype: bool  default: true")), ToolInput(tag="in_incremental_marking", input_type=Boolean(optional=True), prefix="--incremental_marking", doc=InputDocumentation(doc="(use incremental marking)\ntype: bool  default: true")), ToolInput(tag="in_incremental_marking_steps", input_type=Boolean(optional=True), prefix="--incremental_marking_steps", doc=InputDocumentation(doc="(do incremental marking steps)\ntype: bool  default: true")), ToolInput(tag="in_trace_incremental_marking", input_type=Boolean(optional=True), prefix="--trace_incremental_marking", doc=InputDocumentation(doc="(trace progress of the incremental marking)\ntype: bool  default: false")), ToolInput(tag="in_track_gc_object_stats", input_type=Boolean(optional=True), prefix="--track_gc_object_stats", doc=InputDocumentation(doc="(track object counts and memory usage)\ntype: bool  default: false")), ToolInput(tag="in_use_idle_notification", input_type=Boolean(optional=True), prefix="--use_idle_notification", doc=InputDocumentation(doc="(Use idle notification to reduce memory footprint.)\ntype: bool  default: true")), ToolInput(tag="in_use_ic", input_type=Boolean(optional=True), prefix="--use_ic", doc=InputDocumentation(doc="(use inline caching)\ntype: bool  default: true")), ToolInput(tag="in_native_code_counters", input_type=Boolean(optional=True), prefix="--native_code_counters", doc=InputDocumentation(doc="(generate extra code for manipulating stats counters)\ntype: bool  default: false")), ToolInput(tag="in_always_compact", input_type=Boolean(optional=True), prefix="--always_compact", doc=InputDocumentation(doc="(Perform compaction on every full GC)\ntype: bool  default: false")), ToolInput(tag="in_lazy_sweeping", input_type=Boolean(optional=True), prefix="--lazy_sweeping", doc=InputDocumentation(doc="(Use lazy sweeping for old pointer and data spaces)\ntype: bool  default: true")), ToolInput(tag="in_never_compact", input_type=Boolean(optional=True), prefix="--never_compact", doc=InputDocumentation(doc="(Never perform compaction on full GC - testing only)\ntype: bool  default: false")), ToolInput(tag="in_compact_code_space", input_type=Boolean(optional=True), prefix="--compact_code_space", doc=InputDocumentation(doc="(Compact code space on full non-incremental collections)\ntype: bool  default: true")), ToolInput(tag="in_incremental_code_compaction", input_type=Boolean(optional=True), prefix="--incremental_code_compaction", doc=InputDocumentation(doc="(Compact code space on full incremental collections)\ntype: bool  default: true")), ToolInput(tag="in_cleanup_code_caches_at_gc", input_type=Boolean(optional=True), prefix="--cleanup_code_caches_at_gc", doc=InputDocumentation(doc="(Flush inline caches prior to mark compact collection and flush code caches in maps during mark compact cycle.)\ntype: bool  default: true")), ToolInput(tag="in_use_marking_progress_bar", input_type=Boolean(optional=True), prefix="--use_marking_progress_bar", doc=InputDocumentation(doc="(Use a progress bar to scan large objects in increments when incremental marking is active.)\ntype: bool  default: true")), ToolInput(tag="in_random_seed", input_type=Boolean(optional=True), prefix="--random_seed", doc=InputDocumentation(doc="(Default seed for initializing random generator (0, the default, means to use system random).)\ntype: int  default: 0")), ToolInput(tag="in_use_verbose_printer", input_type=Boolean(optional=True), prefix="--use_verbose_printer", doc=InputDocumentation(doc="(allows verbose printing)\ntype: bool  default: true")), ToolInput(tag="in_allow_natives_syntax", input_type=Boolean(optional=True), prefix="--allow_natives_syntax", doc=InputDocumentation(doc="(allow natives syntax)\ntype: bool  default: false")), ToolInput(tag="in_trace_parse", input_type=Boolean(optional=True), prefix="--trace_parse", doc=InputDocumentation(doc="(trace parsing and preparsing)\ntype: bool  default: false")), ToolInput(tag="in_trace_sim", input_type=Boolean(optional=True), prefix="--trace_sim", doc=InputDocumentation(doc="(Trace simulator execution)\ntype: bool  default: false")), ToolInput(tag="in_check_i_cache", input_type=Boolean(optional=True), prefix="--check_icache", doc=InputDocumentation(doc="(Check icache flushes in ARM and MIPS simulator)\ntype: bool  default: false")), ToolInput(tag="in_stop_sim_at", input_type=Boolean(optional=True), prefix="--stop_sim_at", doc=InputDocumentation(doc="(Simulator stop after x number of instructions)\ntype: int  default: 0")), ToolInput(tag="in_sim_stack_alignment", input_type=Boolean(optional=True), prefix="--sim_stack_alignment", doc=InputDocumentation(doc="(Stack alingment in bytes in simulator (4 or 8, 8 is default))\ntype: int  default: 8")), ToolInput(tag="in_trace_exception", input_type=Boolean(optional=True), prefix="--trace_exception", doc=InputDocumentation(doc="(print stack trace when throwing exceptions)\ntype: bool  default: false")), ToolInput(tag="in_pre_allocate_message_memory", input_type=Boolean(optional=True), prefix="--preallocate_message_memory", doc=InputDocumentation(doc="(preallocate some memory to build stack traces.)\ntype: bool  default: false")), ToolInput(tag="in_randomize_hashes", input_type=Boolean(optional=True), prefix="--randomize_hashes", doc=InputDocumentation(doc="(randomize hashes to avoid predictable hash collisions (with snapshots this option cannot override the baked-in seed))\ntype: bool  default: true")), ToolInput(tag="in_hash_seed", input_type=Boolean(optional=True), prefix="--hash_seed", doc=InputDocumentation(doc="(Fixed seed to use to hash property keys (0 means random)(with snapshots this option cannot override the baked-in seed))\ntype: int  default: 0")), ToolInput(tag="in_preemption", input_type=Boolean(optional=True), prefix="--preemption", doc=InputDocumentation(doc="(activate a 100ms timer that switches between V8 threads)\ntype: bool  default: false")), ToolInput(tag="in_regexp_optimization", input_type=Boolean(optional=True), prefix="--regexp_optimization", doc=InputDocumentation(doc="(generate optimized regexp code)\ntype: bool  default: true")), ToolInput(tag="in_testing_bool_flag", input_type=Boolean(optional=True), prefix="--testing_bool_flag", doc=InputDocumentation(doc="(testing_bool_flag)\ntype: bool  default: true")), ToolInput(tag="in_testing_int_flag", input_type=Boolean(optional=True), prefix="--testing_int_flag", doc=InputDocumentation(doc="(testing_int_flag)\ntype: int  default: 13")), ToolInput(tag="in_testing_float_flag", input_type=Boolean(optional=True), prefix="--testing_float_flag", doc=InputDocumentation(doc="(float-flag)\ntype: float  default: 2.500000")), ToolInput(tag="in_testing_string_flag", input_type=Boolean(optional=True), prefix="--testing_string_flag", doc=InputDocumentation(doc="(string-flag)\ntype: string  default: Hello, world!")), ToolInput(tag="in_testing_prng_seed", input_type=Boolean(optional=True), prefix="--testing_prng_seed", doc=InputDocumentation(doc="(Seed used for threading test randomness)\ntype: int  default: 42")), ToolInput(tag="in_testing_serialization_file", input_type=Boolean(optional=True), prefix="--testing_serialization_file", doc=InputDocumentation(doc="(file in which to serialize heap)\ntype: string  default: /tmp/serdes")), ToolInput(tag="in_extra_code", input_type=Boolean(optional=True), prefix="--extra_code", doc=InputDocumentation(doc="(A filename with extra code to be included in the snapshot (mksnapshot only))\ntype: string  default: NULL")), ToolInput(tag="in_dump_counters", input_type=Boolean(optional=True), prefix="--dump_counters", doc=InputDocumentation(doc="(Dump counters on exit)\ntype: bool  default: false")), ToolInput(tag="in_debugger", input_type=Boolean(optional=True), prefix="--debugger", doc=InputDocumentation(doc="(Enable JavaScript debugger)\ntype: bool  default: false")), ToolInput(tag="in_remote_debugger", input_type=Boolean(optional=True), prefix="--remote_debugger", doc=InputDocumentation(doc="(Connect JavaScript debugger to the debugger agent in another process)\ntype: bool  default: false")), ToolInput(tag="in_debugger_agent", input_type=Boolean(optional=True), prefix="--debugger_agent", doc=InputDocumentation(doc="(Enable debugger agent)\ntype: bool  default: false")), ToolInput(tag="in_debugger_port", input_type=Boolean(optional=True), prefix="--debugger_port", doc=InputDocumentation(doc="(Port to use for remote debugging)\ntype: int  default: 5858")), ToolInput(tag="in_map_counters", input_type=Boolean(optional=True), prefix="--map_counters", doc=InputDocumentation(doc="(Map counters to a file)\ntype: string  default:")), ToolInput(tag="in_js_arguments", input_type=Boolean(optional=True), prefix="--js_arguments", doc=InputDocumentation(doc="(Pass all remaining arguments to the script. Alias for '--'.)\ntype: arguments  default:")), ToolInput(tag="in_debug_compile_events", input_type=Boolean(optional=True), prefix="--debug_compile_events", doc=InputDocumentation(doc="(Enable debugger compile events)\ntype: bool  default: true")), ToolInput(tag="in_debug_script_collected_events", input_type=Boolean(optional=True), prefix="--debug_script_collected_events", doc=InputDocumentation(doc="(Enable debugger script collected events)\ntype: bool  default: true")), ToolInput(tag="in_gdb_jit", input_type=Boolean(optional=True), prefix="--gdbjit", doc=InputDocumentation(doc="(enable GDBJIT interface (disables compacting GC))\ntype: bool  default: false")), ToolInput(tag="in_gdb_jit_full", input_type=Boolean(optional=True), prefix="--gdbjit_full", doc=InputDocumentation(doc="(enable GDBJIT interface for all code objects)\ntype: bool  default: false")), ToolInput(tag="in_gdb_jit_dump", input_type=Boolean(optional=True), prefix="--gdbjit_dump", doc=InputDocumentation(doc="(dump elf objects with debug info to disk)\ntype: bool  default: false")), ToolInput(tag="in_gdb_jit_dump_filter", input_type=Boolean(optional=True), prefix="--gdbjit_dump_filter", doc=InputDocumentation(doc="(dump only objects containing this substring)\ntype: string  default:")), ToolInput(tag="in_force_marking_de_que_overflows", input_type=Boolean(optional=True), prefix="--force_marking_deque_overflows", doc=InputDocumentation(doc="(force overflows of marking deque by reducing it's size to 64 words)\ntype: bool  default: false")), ToolInput(tag="in_stress_compaction", input_type=Boolean(optional=True), prefix="--stress_compaction", doc=InputDocumentation(doc="(stress the GC compactor to flush out bugs (implies --force_marking_deque_overflows))\ntype: bool  default: false")), ToolInput(tag="in_log", input_type=Boolean(optional=True), prefix="--log", doc=InputDocumentation(doc="(Minimal logging (no API, code, GC, suspect, or handles samples).)\ntype: bool  default: false")), ToolInput(tag="in_log_all", input_type=Boolean(optional=True), prefix="--log_all", doc=InputDocumentation(doc="(Log all events to the log file.)\ntype: bool  default: false")), ToolInput(tag="in_log_runtime", input_type=Boolean(optional=True), prefix="--log_runtime", doc=InputDocumentation(doc="(Activate runtime system %Log call.)\ntype: bool  default: false")), ToolInput(tag="in_log_api", input_type=Boolean(optional=True), prefix="--log_api", doc=InputDocumentation(doc="(Log API events to the log file.)\ntype: bool  default: false")), ToolInput(tag="in_log_code", input_type=Boolean(optional=True), prefix="--log_code", doc=InputDocumentation(doc="(Log code events to the log file without profiling.)\ntype: bool  default: false")), ToolInput(tag="in_log_gc", input_type=Boolean(optional=True), prefix="--log_gc", doc=InputDocumentation(doc="(Log heap samples on garbage collection for the hp2ps tool.)\ntype: bool  default: false")), ToolInput(tag="in_log_handles", input_type=Boolean(optional=True), prefix="--log_handles", doc=InputDocumentation(doc="(Log global handle events.)\ntype: bool  default: false")), ToolInput(tag="in_log_snapshot_positions", input_type=Boolean(optional=True), prefix="--log_snapshot_positions", doc=InputDocumentation(doc="(log positions of (de)serialized objects in the snapshot.)\ntype: bool  default: false")), ToolInput(tag="in_log_suspect", input_type=Boolean(optional=True), prefix="--log_suspect", doc=InputDocumentation(doc="(Log suspect operations.)\ntype: bool  default: false")), ToolInput(tag="in_prof", input_type=Boolean(optional=True), prefix="--prof", doc=InputDocumentation(doc="(Log statistical profiling information (implies --log-code).)\ntype: bool  default: false")), ToolInput(tag="in_prof_auto", input_type=Boolean(optional=True), prefix="--prof_auto", doc=InputDocumentation(doc="(Used with --prof, starts profiling automatically)\ntype: bool  default: true")), ToolInput(tag="in_prof_lazy", input_type=Boolean(optional=True), prefix="--prof_lazy", doc=InputDocumentation(doc="(Used with --prof, only does sampling and logging when profiler is active (implies --noprof_auto).)\ntype: bool  default: false")), ToolInput(tag="in_prof_browser_mode", input_type=Boolean(optional=True), prefix="--prof_browser_mode", doc=InputDocumentation(doc="(Used with --prof, turns on browser-compatible mode for profiling.)\ntype: bool  default: true")), ToolInput(tag="in_log_regexp", input_type=Boolean(optional=True), prefix="--log_regexp", doc=InputDocumentation(doc="(Log regular expression execution.)\ntype: bool  default: false")), ToolInput(tag="in_log_file", input_type=Boolean(optional=True), prefix="--logfile", doc=InputDocumentation(doc="(Specify the name of the log file.)\ntype: string  default: v8.log")), ToolInput(tag="in_ll_prof", input_type=Boolean(optional=True), prefix="--ll_prof", doc=InputDocumentation(doc="(Enable low-level linux profiler.)\ntype: bool  default: false")), ToolInput(tag="in_gc_fake_mmap", input_type=Boolean(optional=True), prefix="--gc_fake_mmap", doc=InputDocumentation(doc="(Specify the name of the file for fake gc mmap used in ll_prof)\ntype: string  default: /tmp/__v8_gc__")), ToolInput(tag="in_log_internal_timer_events", input_type=Boolean(optional=True), prefix="--log_internal_timer_events", doc=InputDocumentation(doc="(Time internal events.)\ntype: bool  default: false")), ToolInput(tag="in_log_timer_events", input_type=Boolean(optional=True), prefix="--log_timer_events", doc=InputDocumentation(doc="(Time events including external callbacks.)\ntype: bool  default: false\n")), ToolInput(tag="in_var_207", input_type=Boolean(optional=True), prefix="--shell", doc=InputDocumentation(doc="")), ToolInput(tag="in_e", input_type=String(optional=True), prefix="-e", doc=InputDocumentation(doc="")), ToolInput(tag="in_d_eight", input_type=Int(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_var_210", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_file_k", input_type=String(optional=True), position=1, doc=InputDocumentation(doc=""))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Paftools_Js_V0_1_0().translate("wdl", allow_empty_container=True)

